Bug 10489 - Automatic addition of Truetype fonts don't work.
Summary: Automatic addition of Truetype fonts don't work.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-31 18:40 UTC by Terje Røsten
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-30 16:58:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Terje Røsten 2000-03-31 18:40:51 UTC
If you add a truetype font to a directory with truetype fonts
an restart xfs, the new font will not be added to the fonts.dir file.
The following patch fix this:

--- xfs.old	Fri Mar 31 18:24:23 2000
+++ xfs	Fri Mar 31 18:19:15 2000
@@ -28,7 +28,7 @@
 			fi
 			if test $NEEDED = yes; then
 				rm -f fonts.dir &>/dev/null
-				if test "x`ls |egrep --ignore-case -v '\.ttf$|^fonts\.'`" != x; then
+				if test "x`ls |egrep --ignore-case -v '\.ttf$|^fonts|^encodings\.'`"
!= x; then
 					# This directory contains fonts that are not TrueType...

 					mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \

Comment 1 Preston Brown 2000-05-30 16:58:59 UTC
thanks for the fixup, this will be included in an X errata release coming out
this week.


Note You need to log in before you can comment on or make changes to this bug.